Subject: Re: linux-next: build failure after merge of the drm-misc tree

From: Daniel Vetter <[email-masked]>
Date: Tue, 14 Jul 2015 09:36:19 +0200

On Tue, Jul 14, 2015 at 10:30:56AM +0530, Archit Taneja wrote:
> 
> Hi,
> 
> On 07/14/2015 08:22 AM, Stephen Rothwell wrote:
> >Hi all,
> >
> >After merging the drm-misc tree, today's linux-next build (x86_64
> >allmodconfig) failed like this:
> >
> >drivers/gpu/drm/virtio/virtgpu_drm_bus.c: In function 'virtio_pci_kick_out_firmware_fb':
> >drivers/gpu/drm/virtio/virtgpu_drm_bus.c:55:2: error: implicit declaration of function 'drm_fb_helper_remove_conflicting_framebuffers' [-Werror=implicit-function-declaration]
> >   drm_fb_helper_remove_conflicting_framebuffers(ap, "virtiodrmfb",
> >   ^
> >
> >Caused by commit
> >
> >   7bd870e7b1c8 ("drm/virtio: Use new drm_fb_helper functions")
> >
> >I have used the drm-misc tree from next-20150713 for today.
> >
> >(That commit said "COMPILE TESTED ONLY"  :-()
> 
> My bad. The commit messages were for a slightly older version.
> I'll fix this, and the warnings in the other mail.

Yeah it's a big patch series with a testing chicken-egg problem, so I
figured I'll give it a spin in -next. Dropped again until it works better.
-Daniel
-- 
Daniel Vetter
Software Engineer, Intel Corporation
http://blog.ffwll.ch
_______________________________________________
dri-devel mailing list
[email-masked]
http://lists.freedesktop.org/mailman/listinfo/dri-devel